<nav>
	<img src="/assets/image/Logo_Re_Sources_Complet.png" class="logo" alt="logo">

	{% set isAdmin = is_granted('ROLE_ADMIN') %}
	{% set isSuperAdmin = is_granted('ROLE_SUPER_ADMIN') %}

	<ul class="menu">
		{% set url = path(app.request.attributes.get('_route')) %}
		<li>
			<a href="/">Aller sur le site</a>
		</li>
		<li>
			<a href="{{ path('admin_home') }}" class="{% if url == path('admin_home') %}active{% endif %}">Accueil</a>
		</li>
		{% set urlValidResource = path('admin_resource_valide') %}
		{% set urlListResource = path('admin_resource_list') %}
		{% set urlCreateResource = path('admin_resource_create') %}
		{% set urlCategoryList = path('admin_category_list') %}
		{% set urlCategoryCreate = path('admin_category_create') %}
		{% set urlTypeResList = path('admin_type_ressource_list') %}
		{% set urlTypeResCreate = path('admin_type_ressource_create') %}
		{% set isResourceMenu = urlValidResource == url or urlListResource == url or urlCreateResource == url or urlCategoryList == url or
            urlCategoryCreate == url or urlTypeResList == url or urlTypeResCreate == url %}

		<li class="subMenu dropdown {% if isResourceMenu %}active{% endif %}">
			<span>Ressources</span>
			<ul>
				<li>
					<a href="{{ urlListResource }}" class="{% if url == urlListResource %}active{% endif %}">Liste
						                        des ressources</a>
				</li>
				{% if isAdmin %}
					<li>
						<a href="{{ urlCreateResource }}" class="{% if url == urlCreateResource %}active{% endif %}">Créer une ressource</a>
					</li>
					<li>
						<a href="{{ urlValidResource }}" class="{% if url == urlValidResource %}active{% endif %}">Valider une ressource</a>
					</li>
					<hr>
					<li>
						<a href="{{ urlCategoryList }}" class="{% if url == urlCategoryList %}active{% endif %}">Liste
							                            des catégories</a>
					</li>
					{% if isSuperAdmin %}
						<li>
							<a href="{{ urlCategoryCreate }}" class="{% if url == urlCategoryCreate %}active{% endif %}">Créer une catégorie de
								                                ressource</a>
						</li>
					{% endif %}
					<hr>
					<li>
						<a href="{{ urlTypeResList }}" class="{% if url == urlTypeResList %}active{% endif %}">Liste
							                            des types</a>
					</li>
					{% if isSuperAdmin %}
						<li>
							<a href="{{ urlTypeResCreate }}" class="{% if url == urlTypeResCreate %}active{% endif %}">Créer un type de
								                                ressource</a>
						</li>
					{% endif %}
				{% endif %}
			</ul>
		</li>

		{% if isAdmin %}

			{% set urlListUser = path('admin_user_list') %}
			{% set urlCreateUser = path('admin_user_create') %}
			{% set isUserMenu = urlListUser == url or urlCreateUser == url %}

			<li class="subMenu dropdown {% if isUserMenu %}active{% endif %}">
				<span>Comptes</span>
				<ul>
					<li><a href="{{ urlListUser }}" class="{% if url == urlListUser %}active{% endif %}">Liste des utilisateurs</a></li>
					<li><a href="{{ urlCreateUser }}" class="{% if url == urlCreateUser %}active{% endif %}">Créer un compte</a></li>
				</ul>
			</li>

			{% set urlListRelation = path('admin_types_relations_list') %}
			{% set urlCreateRelation = path('admin_types_relations_create') %}
			{% set isRelationMenu = urlListRelation == url or urlCreateRelation == url %}

			<li class="subMenu dropdown {% if isRelationMenu %}active{% endif %}">
				<span>Relations</span>
				<ul>
					<li>
						<a href="{{ urlListRelation }}" class="{% if url == urlListRelation %}active{% endif %}">Liste des types de relations</a>
					</li>
					{% if isSuperAdmin %}
						<li>
							<a href="{{ urlCreateRelation }}" class="{% if url == urlCreateRelation %}active{% endif %}">Créer un type de relation</a>
						</li>
					{% endif %}
				</ul>
			</li>

			<li>
				<a href="{{ path('admin_statistiques_page') }}" class="{% if url == path('admin_statistiques_page') %}active{% endif %}">Statistiques</a>
			</li>

		{% endif %}

		{% include('/menu-burger.html.twig') %}

	</ul>

</nav>
